# PCLinuxOS Copyright Bill Reynolds (Texstar)
#
%define		realname	Ogg-Vorbis-Header
Summary:	%realname module for perl
Summary(de):	%realname Modul für Perl
Name:		perl-%realname
Version:	1.0
Release:	%mkrel 1
License:		GPL
Group: 		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/D/DB/DBP/%realname-%version.tar.gz
URL:		http://search.cpan.org/~dbp/%realname-%version/
BuildRoot:	%{_tmppath}/%{realname}-%{version}-%{release}-root/
BuildArch:	noarch
Packager:	leiche
Distribution:	PCLinuxOS

# Don't build debuginfo packages
%define debug_package %{nil}

BuildRequires:	perl-Inline
BuildRequires:	perl-devel
BuildRequires:	%{_lib}ogg-devel
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:	libbsd-devel

Requires:	%{_lib}ogg0
Requires:	%{_lib}vorbis0
Requires:       perl-Inline

%description
This module presents an object-oriented interface to Ogg Vorbis files
which allows user to view Vorbis info and comments and to modify or
add comments.
#german
%description -l de
Perl-Modul bietet eine Schnittstelle zu OGG-Vorbis Dateien zum anschauen
und bearbeiten von Vorbis Informationen und Kommentare. 

%files
%defattr(-,root,root)
/usr/lib/perl5/vendor_perl/5.22.3/Ogg/Vorbis/Header/PurePerl.pm
/usr/lib/perl5/vendor_perl/5.22.3/Ogg/Vorbis/Header/ogginfo.pl
/usr/share/man/man3/Ogg::Vorbis::Header::PurePerl.3pm.bz2


#--------- build area -----------------------------------------
%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std



%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{realname}-%{version}

#------- changelog -------------------------------------------

%changelog
* Thu Jul 13 2017 bb2 <bb2> 1.0-1pclos2017
- update
